Package org.jboss.resteasy.plugins.providers.multipart

## Class MultipartFormAnnotationReader

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.MultipartFormAnnotationReader

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<Object>`

      @Provider
      @Consumes("multipart/form-data")
      public class MultipartFormAnnotationReader
      extends Object
      implements javax.ws.rs.ext.MessageBodyReader<Object>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.ws.rs.ext.Providers` | `workers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipartFormAnnotationReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isReadable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `Object` | `readFrom​(Class<Object> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders, InputStream entityStream)` |
    `protected boolean` | `setFields​(Class<?> type, MultipartFormDataInputImpl input, Object obj)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### workers

          @Context
          protected javax.ws.rs.ext.Providers workers

  - ### Constructor Detail

    - #### MultipartFormAnnotationReader

          public MultipartFormAnnotationReader()

  - ### Method Detail

    - #### isReadable

          public boolean isReadable​(Class<?> type,
                                    Type genericType,
                                    Annotation[] annotations,
                                    javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<Object>`

    - #### readFrom

          public Object readFrom​(Class<Object> type,
                                 Type genericType,
                                 Annotation[] annotations,
                                 javax.ws.rs.core.MediaType mediaType,
                                 javax.ws.rs.core.MultivaluedMap<String,​String> httpHeaders,
                                 InputStream entityStream)
                          throws IOException,
                                 javax.ws.rs.WebApplicationException

      Specified by:
        `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<Object>`
      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`

    - #### setFields

          protected boolean setFields​(Class<?> type,
                                      MultipartFormDataInputImpl input,
                                      Object obj)
                               throws IOException

      Throws:
        `IOException`